#pragma once
#include "main.h"
class myWindow;
class myDirect3D;
class myLevel;
class myMouse;

class myGame
{
public:
	myGame(void);
	~myGame(void);

	void init(HINSTANCE hInstance, int show);
	bool isOver();
	void update();
	void clean();
	void handleWindowsMessage(HWND wnd, UINT message, WPARAM wparam, LPARAM lparam);

private:
	HINSTANCE	m_hInstance;
	bool		m_isOver;
	myWindow*	m_window;
	myDirect3D*	m_direct3D;
	myLevel*	m_level;
	myMouse*	m_mouse;
};
